container-get(1)

Name
container-get - Download a container

Synopsis
container get ['OPTIONS']
cnt g ['OPTIONS']

Description

The container get command downloads a container based on a script.

  Scripts

The following download scripts are available:

    curl:
        Basic script to build Debian based container, see container-create-curl(1).

    default:
        Symlink (if existing) to a download script which is used if no script was specified. On Debian based system this can be managed through update-alternatives(1), i.e. 'sudo update-alternatives --config container_get-script'.

Options

The following container get options are available:

    -n, --name='NAME':
        Specify container name.

    -c, --capability='CAPABILITY':
        Specify capabilities to grant, see capabilities(7).

    -d, --drop-capability='DROP_CAPABILITY':
        Specify capabilities to drop, see capabilities(7).

    -s, --script='SCRIPT':
        Specify container build script, defaults to 'debootstrap'.

    -v, --verbose:
        Explain what is being done.

    -b, --bind='DIRECTORY:DIRECTORY[:OPTIONS][;DIRECTORY:DIRECTORY[:OPTIONS]]':
        Specify container read-write bind mounts, see systemd-nspawn(1) --bind option.

    --bind-ro='DIRECTORY:DIRECTORY[:OPTIONS][;DIRECTORY:DIRECTORY[:OPTIONS]]':
        Specify container read-only bind mounts, see systemd-nspawn(1) --bind-ro option.

    --cnt-overlay='DIRECTORY_LOWER:DIRECTORY_UPPER:DIRECTORY_WORK:DIRECTORY_MERGED[;DIRECTORY_UPPER:DIRECTORY_LOWER:DIRECTORY_WORK:DIRECTORY_MERGED]':
        Specify container overlay mounts, see Documentation/filesystems/overlayfs.txt.

    --cnt.overlay-options='OPTION1,OPTION2[;OPTION3,OPTION4]':
        Specify container overlay mount options, see Documentation/filesystems/overlayfs.txt.

    --cnt.start='OPTION1[,OPTION2,...]':
        Specify container start options, see container-start(1).

Examples

Create example.net container using curl script:
        sudo container get -n example.net -s curl

Create example.net container with the default download script and start it:
        sudo container get,start -n example.net

See also
compute-tools(7),
container(1).

Homepage

More information about compute-tools and the Open Infrastructure project can be found on the homepage (<https://open-infrastructure.net>).

Contact

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <<software@lists.open-infrastructure.net>>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (<https://bugs.debian.org>).

Authors

compute-tools were written by Daniel Baumann <<daniel.baumann@open-infrastructure.net>> and others.